gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Structs.VariationT

Contents

- Exported types
- Methods
- Properties
  - tag
  - value

Description

Data type for holding variation data. Registered OpenType variation-axis tags are listed in OpenType Axis Tag Registry.

Since: 1.4.2

Synopsis

- newtype VariationT = VariationT (ManagedPtr VariationT)
- newZeroVariationT :: MonadIO m => m VariationT
- getVariationTTag :: MonadIO m => VariationT -> m Word32
- setVariationTTag :: MonadIO m => VariationT -> Word32 -> m ()
- getVariationTValue :: MonadIO m => VariationT -> m Float
- setVariationTValue :: MonadIO m => VariationT -> Float -> m ()

# Exported types

newtype VariationT Source #

Memory-managed wrapper type.

Constructors

VariationT (ManagedPtr VariationT) |

#### Instances

Instances details

Eq VariationT Source # |
Instance details Defined in GI.HarfBuzz.Structs.VariationT Methods (==) :: VariationT -> VariationT -> Bool Source # (/=) :: VariationT -> VariationT -> Bool Source #
BoxedPtr VariationT Source # |
Instance details Defined in GI.HarfBuzz.Structs.VariationT Methods boxedPtrCopy :: VariationT -> IO VariationT Source # boxedPtrFree :: VariationT -> IO () Source #
CallocPtr VariationT Source # |
Instance details Defined in GI.HarfBuzz.Structs.VariationT Methods boxedPtrCalloc :: IO (Ptr VariationT) Source #
ManagedPtrNewtype VariationT Source # |
Instance details Defined in GI.HarfBuzz.Structs.VariationT Methods toManagedPtr :: VariationT -> ManagedPtr VariationT Source #
tag ~ 'AttrSet => Constructible VariationT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.VariationT Methods new :: MonadIO m => (ManagedPtr VariationT -> VariationT) -> [AttrOp VariationT tag] -> m VariationT Source #

newZeroVariationT :: MonadIO m => m VariationT Source #

Construct a `VariationT` struct initialized to zero.

# Methods

# Properties

## tag

The `hb_tag_t` tag of the variation-axis name

getVariationTTag :: MonadIO m => VariationT -> m Word32 Source #

Get the value of the “`tag`” field. When overloading is enabled, this is equivalent to

    get variationT #tag

setVariationTTag :: MonadIO m => VariationT -> Word32 -> m () Source #

Set the value of the “`tag`” field. When overloading is enabled, this is equivalent to

    set variationT [ #tag := value ]

## value

The value of the variation axis

getVariationTValue :: MonadIO m => VariationT -> m Float Source #

Get the value of the “`value`” field. When overloading is enabled, this is equivalent to

    get variationT #value

setVariationTValue :: MonadIO m => VariationT -> Float -> m () Source #

Set the value of the “`value`” field. When overloading is enabled, this is equivalent to

    set variationT [ #value := value ]